Skip to main content
`Ctrl`+`K`

# MatSeqAIJRestoreArrayRead

restore the read-only access array obtained from `MatSeqAIJGetArrayRead()`

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatSeqAIJRestoreArrayRead(Mat A, const PetscScalar *array[])

Not Collective; No Fortran Support

## Input Parameter

- A - a `MATSEQAIJ` matrix

## Output Parameter

- array - pointer to the data

## See Also

Matrices, `Mat`, `MatSeqAIJGetArray()`, `MatSeqAIJGetArrayRead()`

## Level

intermediate

## Location

src/mat/impls/aij/seq/aij.c

## Implementations

MatSeqAIJRestoreArrayRead_SeqAIJKokkos() in src/mat/impls/aij/seq/kokkos/aijkok.kokkos.cxx
MatSeqAIJRestoreArrayRead_SeqAIJCUSPARSE() in src/mat/impls/aij/seq/seqcusparse/aijcusparse.cu
MatSeqAIJRestoreArrayRead_SeqAIJHIPSPARSE() in src/mat/impls/aij/seq/seqhipsparse/aijhipsparse.hip.cxx
MatSeqAIJRestoreArrayRead_SeqAIJViennaCL() in src/mat/impls/aij/seq/seqviennacl/aijviennacl.cxx

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages